Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.27 veröffentlicht (22.06.21)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Probleme mit PHP 7.4
#1
Hallo,
ich bin neu und habe erst vor Zwei Tagen zu MyBB gewechselt,aber leider habe ich Probleme mit PHP 7.4.

Warning [2] Declaration of Form::generate_select_box($name, $option_list, $selected = Array, $options = Array) should be compatible with DefaultForm::generate_select_box($name, $option_list = Array, $selected = Array, $options = Array) - Line: 1039 - File: admin/styles/material/style.php PHP 7.4.3 (Linux)
File
Line
Function/admin/index.php
683
errorHandler->error
/admin/index.php
683
require_once


Punkt eins meker wenn ich das richtig sehe Folgende Zeile an.

function generate_select_box($name, $option_list, $selected=array(), $options=array())

"FormContainer" => "DefaultFormContainer"

Wie kann ich das beheben?
Zitieren
#2
Hallo,

laut Fehlermeldung wird es in der Datei style.php im Ordner admin/styles/material/ verursacht.
Hast du das Material-Theme für das ACP installiert?
Das ist offenbar nicht mehr ganz aktuell.
Du kannst ja mal den betreffenden Code in Zeile 1039 der style.php mit der aktuellen Original-Funktion generate_select_box() in der Datei admin/inc/class_form.php vergleichen.
Zitieren
#3
Hallo,
vielen dank mit dem Tipp konnte ich den Fehler beheben.
Zitieren